package com.egdigital.allzic.data.object;

import android.os.Parcel;
import android.os.Parcelable;

public class Song implements Parcelable {

	private String	mArtiste;
	private String	mTitle;
	private String	mCover;
	private String	mOnAir;

	public Song(String mArtiste, String mTitle, String mCover, String mOnAir) {
		super();
		this.mArtiste = mArtiste;
		this.mTitle = mTitle;
		this.mCover = mCover;
		this.mOnAir = mOnAir;
	}

	public String getmArtiste() {
		return mArtiste;
	}

	public String getmTitle() {
		return mTitle;
	}

	public String getmCover() {
		return mCover;
	}

	public String getmOnAir() {
		return mOnAir;
	}

	public void setmArtiste(String mArtiste) {
		this.mArtiste = mArtiste;
	}

	public void setmTitle(String mTitle) {
		this.mTitle = mTitle;
	}

	public void setmCover(String mCover) {
		this.mCover = mCover;
	}

	public void setmOnAir(String mOnAir) {
		this.mOnAir = mOnAir;
	}

	@Override
	public String toString() {
		return String.format("%s // %s // %s // %s", mTitle, mArtiste, mCover, mCover);
	}

	/**
	 * parcel
	 */
	public Song(Parcel parcel) {
		mArtiste = parcel.readString();
		mTitle = parcel.readString();
		mCover = parcel.readString();
		mOnAir = parcel.readString();
	}

	public int describeContents() {
		// not used
		return 0;
	}

	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(mArtiste);
		dest.writeString(mTitle);
		dest.writeString(mCover);
		dest.writeString(mOnAir);
	}

	public static Creator<Song>	CREATOR	= new Creator<Song>() {

											public Song createFromParcel(Parcel parcel) {
												return new Song(parcel);
											}

											public Song[] newArray(int size) {
												return new Song[size];
											}
										};
}
